<?php

 add_action( 'init', 'createwpcountdownpropage' );
	function createwpcountdownpropage() {
		register_post_type( 'countdown',
			array(
				'labels' => array(
					'name' => __( 'Countdown Page' ),
					'singular_name' => __( 'Countdown Page' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'http://cdn2.iconfinder.com/data/icons/ledicons/email_open_image.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules( );
	}
	
add_action( 'add_meta_boxes', 'createmetadatawpcountdown' );
function createmetadatawpcountdown()
{
	add_meta_box( 'countdown', 'Settings:', 'settingsforwpcountdownpage', 'countdown', 'normal', 'high' );
}


function settingsforwpcountdownpage( $post )
{
	$values = get_post_custom( $post->ID );
	$logo = isset( $values['logo'] ) ? esc_attr( $values['logo'][0] ) : '';
	$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
	$featureheadline1 = isset( $values['featureheadline1'] ) ? esc_attr( $values['featureheadline1'][0] ) : '';
	$featureheadline2 = isset( $values['featureheadline2'] ) ? esc_attr( $values['featureheadline2'][0] ) : '';
	$featureheadline3 = isset( $values['featureheadline3'] ) ? esc_attr( $values['featureheadline3'][0] ) : '';

	$featurecontent1 = isset( $values['featurecontent1'] ) ? esc_attr( $values['featurecontent1'][0] ) : '';
	$featurecontent2 = isset( $values['featurecontent2'] ) ? esc_attr( $values['featurecontent2'][0] ) : '';
	$featurecontent3 = isset( $values['featurecontent3'] ) ? esc_attr( $values['featurecontent3'][0] ) : '';

	$featureimage1 = isset( $values['featureimage1'] ) ? esc_attr( $values['featureimage1'][0] ) : '';
	$featureimage2 = isset( $values['featureimage2'] ) ? esc_attr( $values['featureimage2'][0] ) : '';
	$featureimage3 = isset( $values['featureimage3'] ) ? esc_attr( $values['featureimage3'][0] ) : '';
	$typography = isset( $values['typography'] ) ? esc_attr( $values['typography'][0] ) : '';
	$buttonstyle = isset( $values['buttonstyle'] ) ? esc_attr( $values['buttonstyle'][0] ) : '';
	$videourl = isset( $values['videourl'] ) ? esc_attr( $values['videourl'][0] ) : '';
	$footer = isset( $values['footer'] ) ? esc_attr( $values['footer'][0] ) : '';
	$background = isset( $values['background'] ) ? esc_attr( $values['background'][0] ) : '';
	$mainheadline = isset( $values['mainheadline'] ) ? esc_attr( $values['mainheadline'][0] ) : '';
	$buttonurl = isset( $values['buttonurl'] ) ? esc_attr( $values['buttonurl'][0] ) : '';
	$boxstyle = isset( $values['boxstyle'] ) ? esc_attr( $values['boxstyle'][0] ) : '';
	$submitbutton = isset( $values['submitbutton'] ) ? esc_attr( $values['submitbutton'][0] ) : '';
	$autoresponder = isset( $values['autoresponder'] ) ? esc_attr( $values['autoresponder'][0] ) : '';

	$buttontext = isset( $values['buttontext'] ) ? esc_attr( $values['buttontext'][0] ) : '';
	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
?>
	<style type="text/css">
		.metaBox label {
			display: block;
			text-transform: uppercase;
			font-size: 11px;
			color: #4278a6;
			font-weight: bold;
			padding: 5px 0;
		}
		.metaBox input[type=text] {
			padding: 5px;
			font-size: 16px;
			width: 650px;
		}
		.metaBox select {
			padding: 5px;
			font-size: 16px;
			width: 650px;
		}
		.metaBox textarea {
			padding: 5px;
			font-size: 16px;
			width: 650px;
			height: 165px;
		}
	</style>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {

		  		$(".design").click(function() {
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".designTab").fadeIn(500); $(".design").addClass('active');
				});

				$(".dashboard").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $("m.ap").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".dashboardTab").fadeIn(500); $(".dashboard").addClass('active');
				});

				$(".slideshow").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".extra").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".slideshowTab").fadeIn(500); $(".slideshow").addClass('active');
				});

				$(".map").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".mapTab").fadeIn(500); $(".map").addClass('active');
				});

				$(".menu").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".menuTab").fadeIn(500); $(".menu").addClass('active');
				});

				$(".language").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".languageTab").fadeIn(500); $(".language").addClass('active');
				});

				$(".extra").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".extraTab").fadeIn(500); $(".extra").addClass('active');
				});

				$(".photos").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
				  $(".photosTab").fadeIn(500); $(".photos").addClass('active');
				});

								jQuery('.upload_button').click(function() {
									uploadID = jQuery(this).prev('input'); // grabs the correct field
									spanID = jQuery(this).parent().find('span'); // grabs the correct span
									formfield = jQuery('.frp_upload').attr('name');
									tb_show('', 'media-upload.php?type=image&TB_iframe=true');
									return false;
								});

								window.send_to_editor = function(html) {
									imgurl = jQuery(html).attr('href'); // grabs the image URL from the IMG tag
									jQuery('#uploadlogo').val(imgurl); // sends the image URL to the hidden input field
									spanID.html(html); //sends the IMG tag to the preview span
									tb_remove();
								}

			});
		</script>
		<style>
			@import url(http://fonts.googleapis.com/css?family=Poly);
			#siteOptions {
				width: 100%;
				overflow: hidden;
				font-family: 'Poly', serif;
				text-shadow: 0px 0px 1px transparent; 
				font-size: 21px;
			}
			
			#fb_nav {
				width: 20%;
				float: left;
				padding: 10px;
				margin-bottom: -1500px;
				padding-bottom: 1500px;
				padding-top: 0;
			}
				#fb_nav ul {
					margin-top: 0;
				}
				#fb_nav ul li a {
					padding: 10px 0;
					padding-left: 45px;
					display: block;
					margin-bottom: -6px;
					width:86%;
					font-size: 15px;
					color: #2f363e;
					margin-left: -10px;
					text-decoration: none;
				}
			#fb_tabs {
				width: 60%;
				float: left;
				padding: 14px 24px;
			}
			input[type=text] {
				display: block;
				width: 100%;
				font-size: 16px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			textarea {
				display: block;
				width: 100%;
				height: 150px;
				font-size: 14px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			select {
				display: block;
				width: 100%;
				font-size: 16px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			#siteOptions strong {
				padding: 0 0;
				margin-bottom: -10px;
				display: block;
				font-size: 16px;
			}
			#siteOptions p {
				font-size: 14px;
				line-height: 21px;
			}
			#siteOptions .dashboard {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/home.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .dashboard.active, #siteOptions .dashboard:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/home.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .design {
				background: url(http://cdn1.iconfinder.com/data/icons/professional-toolbar-icons-png/24/Alarm.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .design.active, #siteOptions .design:hover {
					background: url(http://cdn1.iconfinder.com/data/icons/professional-toolbar-icons-png/24/Alarm.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .slideshow {
				background: url(http://cdn4.iconfinder.com/data/icons/Lontar_eve/24/hat.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .slideshow.active, #siteOptions .slideshow:hover {
					background: url(http://cdn4.iconfinder.com/data/icons/Lontar_eve/24/hat.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .map {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/calendar.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .map.active, #siteOptions .map:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/calendar.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .menu {
				background: url(http://cdn5.iconfinder.com/data/icons/pursuit/24/email.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .menu.active, #siteOptions .menu:hover {
					background: url(http://cdn5.iconfinder.com/data/icons/pursuit/24/email.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .language {
				background: url(http://cdn3.iconfinder.com/data/icons/flatforlinux/24/27-Edit%20Text.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .language.active, #siteOptions .language:hover {
					background: url(http://cdn3.iconfinder.com/data/icons/flatforlinux/24/27-Edit%20Text.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .extra {
				background: url(http://cdn5.iconfinder.com/data/icons/pursuit/24/email.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .extra.active, #siteOptions .extra:hover {
					background: url(http://cdn5.iconfinder.com/data/icons/pursuit/24/email.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions .photos {
				background: url(http://cdn2.iconfinder.com/data/icons/icojoy/shadow/standart/png/24x24/001_15.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .photos.active, #siteOptions .photos:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/icojoy/shadow/standart/png/24x24/001_15.png) no-repeat left #fff;
					background-position: 9px 7px;
				}
			#siteOptions hr {
				border: none;
				border-bottom: 1px solid #ddd;
				margin-bottom: 20px;
			}
		</style>

			<div id="siteOptions"> <a name="tops"></a>
				                <div id="fb_nav">
				                	<br>
									<ul> 
										<li><a href="#tops" class="active dashboard">Main Settings</a></li>
										<li><a href="#tops" class="design">Design Options</a></li>       
										<li><a href="#tops" class="map">Countdown Settings</a></li> 
										<li><a href="#tops" class="menu">Auto-Responder</a></li>                  
										<li><a href="#tops" class="photos">Feature Benefits</a></li>   
									</ul>
								</div>                 

									<div id="fb_tabs">
									<div class="mapTab"  style="display: none">
										
										<strong>Countdown Date:</strong><br /> <small style="font-size: 11px;">Year / Month / Day - ex. 2013/1/3</small>
										<input type="text" name="buttontext" id="buttontext" value="<?php echo $buttontext; ?>" /><br>
										<strong>After Date Redirect URL:</strong><br />
										<input type="text" name="buttonurl" id="buttonurl" value="<?php echo $buttonurl; ?>" /><br>
									</div>  
									<div class="menuTab"  style="display: none">
											<strong>Submit Button Text:</strong><br />
											<input type="text" name="submitbutton" id="submitbutton" value="<?php echo $submitbutton; ?>" /><br>
											<strong>Your Autoresponder Form HTML Code:</strong><br />
											<textarea name="autoresponder" id="autoresponder"><?php echo $autoresponder; ?></textarea><br>
									</div>    
									<div class="photosTab" style="display: none">
											<h3>Feature Benefit #1</h3>
											<p>
												<strong>Image URL:</strong><br />
												<input type="text" name="featureimage1" id="featureimage1" value="<?php echo $featureimage1; ?>" />
											</p>     
											<p>
												<strong>Headline:</strong><br />
												<input type="text" name="featureheadline1" id="featureheadline1" value="<?php echo $featureheadline1; ?>" />
											</p>  
											<p><strong>Content:</strong> <small>(HTML Allowed)</small></p>
											<textarea name="featurecontent1" ><?php echo $featurecontent1; ?></textarea>
											<br>
											<h3>Feature Benefit #2</h3>
											<p>
												<strong>Image URL:</strong><br />
												<input type="text" name="featureimage2" id="featureimage2" value="<?php echo $featureimage2; ?>" />
											</p>     
											<p>
												<strong>Headline:</strong><br />
												<input type="text" name="featureheadline2" id="featureheadline2" value="<?php echo $featureheadline2; ?>" />
											</p>  
											<p><strong>Content:</strong> <small>(HTML Allowed)</small></p>
											<textarea name="featurecontent2" ><?php echo $featurecontent2; ?></textarea>
											<br>
											<h3>Feature Benefit #3</h3>
											<p>
												<strong>Image URL:</strong><br />
												<input type="text" name="featureimage3" id="featureimage3" value="<?php echo $featureimage3; ?>" />
											</p>     
											<p>
												<strong>Headline:</strong><br />
												<input type="text" name="featureheadline3" id="featureheadline3" value="<?php echo $featureheadline3; ?>" />
											</p>  
											<p><strong>Content:</strong> <small>(HTML Allowed)</small></p>
											<textarea name="featurecontent3" ><?php echo $featurecontent3; ?></textarea>

									</div>                   
									<div class="dashboardTab">  
											<p>
												<strong>Banner or Logo Image URL:</strong><br />
												<input type="text" name="logo" id="logo" value="<?php echo $logo; ?>" />
											</p>     
											<p>
												<strong>Main Headline:</strong><br />
												<input type="text" name="mainheadline" id="mainheadline" value="<?php echo $mainheadline; ?>" />
											</p>                  
											<p>
												<strong>Sub Headline:</strong><br />
												<input type="text" name="subheadline" id="subheadline" value="<?php echo $subheadline; ?>" />
											</p>
											<p>
												<strong>Footer Text:</strong><br />
												<input type="text" name="footer" id="" value="<?php echo $footer; ?>" />
											</p>
											
									</div>                     <div class="designTab" style="display: none">
						
						
						
						<strong>Background Style:</strong><br />
						<select name="background" id="background">
							<option value="1" <?php if ($background == '1') { ?> selected <?php } ?>>Default Black</option>
							<option value="2" <?php if ($background == '2') { ?> selected <?php } ?>>Dark Blue</option>
							<option value="3" <?php if ($background == '3') { ?> selected <?php } ?>>Light Blue / Green</option>
							<option value="4" <?php if ($background == '4') { ?> selected <?php } ?>>Bright Blue</option>
							<option value="5" <?php if ($background == '5') { ?> selected <?php } ?>>Bright Green</option>
						</select>
						<br>
						<strong>Optin Box Style:</strong><br />
						<select name="boxstyle" id="boxstyle">
							<option value="1" <?php if ($boxstyle == '1') { ?> selected <?php } ?>>Orange</option>
							<option value="2" <?php if ($boxstyle == '2') { ?> selected <?php } ?>>Green</option>
							<option value="3" <?php if ($boxstyle == '3') { ?> selected <?php } ?>>Blue</option>
							<option value="4" <?php if ($boxstyle == '4') { ?> selected <?php } ?>>Black</option>
							<option value="5" <?php if ($boxstyle == '5') { ?> selected <?php } ?>>Red</option>
							<option value="6" <?php if ($boxstyle == '6') { ?> selected <?php } ?>>Brown</option>
							<option value="7" <?php if ($boxstyle == '7') { ?> selected <?php } ?>>Purple</option>
							<option value="8" <?php if ($boxstyle == '8') { ?> selected <?php } ?>>Pink</option>
						</select> <br>
						
						
					</div>
					
					
					

				</div>
				<br clear="all" />

				
			</div>
			









	
	
	<?php	
}


add_action( 'save_post', 'savewpcountdownpagesettings' );
function savewpcountdownpagesettings( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);
	
	// Probably a good idea to make sure your data is set
	if( isset( $_POST['logo'] ) )
		update_post_meta( $post_id, 'logo', wp_kses( $_POST['logo'], $allowed ) );
		
	if( isset( $_POST['subheadline'] ) )
		update_post_meta( $post_id, 'subheadline', esc_attr( $_POST['subheadline'] ) );
		
	if( isset( $_POST['featureheadline1'] ) )
		update_post_meta( $post_id, 'featureheadline1', esc_attr( $_POST['featureheadline1'] ) );
		
	if( isset( $_POST['featureimage1'] ) )
		update_post_meta( $post_id, 'featureimage1', esc_attr( $_POST['featureimage1'] ) );
		
	if( isset( $_POST['featurecontent1'] ) )
		update_post_meta( $post_id, 'featurecontent1', esc_attr( $_POST['featurecontent1'] ) );

	if( isset( $_POST['featureheadline2'] ) )
		update_post_meta( $post_id, 'featureheadline2', esc_attr( $_POST['featureheadline2'] ) );
		
	if( isset( $_POST['featureimage2'] ) )
		update_post_meta( $post_id, 'featureimage2', esc_attr( $_POST['featureimage2'] ) );
		
	if( isset( $_POST['featurecontent2'] ) )
		update_post_meta( $post_id, 'featurecontent2', esc_attr( $_POST['featurecontent2'] ) );

	if( isset( $_POST['featureheadline3'] ) )
		update_post_meta( $post_id, 'featureheadline3', esc_attr( $_POST['featureheadline3'] ) );
		
	if( isset( $_POST['featureimage3'] ) )
		update_post_meta( $post_id, 'featureimage3', esc_attr( $_POST['featureimage3'] ) );
		
	if( isset( $_POST['featurecontent3'] ) )
		update_post_meta( $post_id, 'featurecontent3', esc_attr( $_POST['featurecontent3'] ) );

	if( isset( $_POST['buttonstyle'] ) )
		update_post_meta( $post_id, 'buttonstyle', esc_attr( $_POST['buttonstyle'] ) );

	if( isset( $_POST['submitbutton'] ) )
		update_post_meta( $post_id, 'submitbutton', esc_attr( $_POST['submitbutton'] ) );
		
	

	if( isset( $_POST['typography'] ) )
		update_post_meta( $post_id, 'typography', esc_attr( $_POST['typography'] ) );

	if( isset( $_POST['mainheadline'] ) )
		update_post_meta( $post_id, 'mainheadline', esc_attr( $_POST['mainheadline'] ) );

	if( isset( $_POST['footer'] ) )
		update_post_meta( $post_id, 'footer', esc_attr( $_POST['footer'] ) );

	if( isset( $_POST['videourl'] ) )
		update_post_meta( $post_id, 'videourl', esc_attr( $_POST['videourl'] ) );

	if( isset( $_POST['background'] ) )
		update_post_meta( $post_id, 'background', esc_attr( $_POST['background'] ) );

	if( isset( $_POST['buttonurl'] ) )
		update_post_meta( $post_id, 'buttonurl', esc_attr( $_POST['buttonurl'] ) );

	if( isset( $_POST['buttontext'] ) )
		update_post_meta( $post_id, 'buttontext', esc_attr( $_POST['buttontext'] ) );

	if( isset( $_POST['boxstyle'] ) )
		update_post_meta( $post_id, 'boxstyle', esc_attr( $_POST['boxstyle'] ) );

	if( isset( $_POST['autoresponder'] ) )
		update_post_meta( $post_id, 'autoresponder', esc_attr( $_POST['autoresponder'] ) );
	
}
?>